SCSI_INQ_STR(9)

NAME
scsi_inq_str - print INQUIRY data from min to max index, strip trailing whitespace

SYNOPSIS

unsigned char * scsi_inq_str(unsigned char * buf, unsigned char * inq, unsigned first, unsigned end);

ARGUMENTS

buf
    Output buffer with at least end-first+1 bytes of space

inq
    Inquiry buffer (input)

first
    Offset of string into inq

end
    Index after last character in inq

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT